package com.ruoyi.platform.vo;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class ImageVo implements Serializable {


    /**
     * 镜像名称
     */
    @ApiModelProperty(name = "name")
    private String name;
    /**
     * 镜像描述
     */
    @ApiModelProperty(name = "description")
    private String description;
    /**
     * 镜像类型
     */

    @ApiModelProperty(name = "image_type")
    private Integer imageType;


    /**
     * 镜像版本
     */
    @ApiModelProperty(name = "version")
    private String version;

    /**
     * 镜像推送地址
     */
//    @ApiModelProperty(name = "url")
//    private String url;

    /**
     * 镜像tag名称
     */
    @ApiModelProperty(name = "tag_name")
    private String tagName;

    /**
     * 镜像文件大小
     */
    @ApiModelProperty(name = "file_size")
    private String fileSize;
    /**
     * 镜像构建状态
     */
    @ApiModelProperty(name = "status")
    private String status;

    @ApiModelProperty(name = "upload_type", value = "上传方式, 基于公网上传0，基于本地上传1")
    private Integer uploadType;

    @ApiModelProperty(value = "镜像上传路径")
    private String path;


    @ApiModelProperty(name = "dev_environment_id", value = "环境id")
    private Integer devEnvironmentId;

//    public Integer getId() {
//        return id;
//    }
//
//    public void setId(Integer id) {
//        this.id = id;
//    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getImageType() {
        return imageType;
    }

    public void setImageType(Integer imageType) {
        this.imageType = imageType;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

//    public String getUrl() {
//        return url;
//    }
//
//    public void setUrl(String url) {
//        this.url = url;
//    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getFileSize() {
        return fileSize;
    }

    public void setFileSize(String fileSize) {
        this.fileSize = fileSize;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getUploadType() {
        return uploadType;
    }

    public void setUploadType(Integer uploadType) {
        this.uploadType = uploadType;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getDevEnvironmentId() {
        return devEnvironmentId;
    }

    public void setDevEnvironmentId(Integer devEnvironmentId) {
        this.devEnvironmentId = devEnvironmentId;
    }

}
